{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function msg, send_event, admin_user, center_window, security_check\r\ndeclare subroutine end_dialog, security_err_msg\r\n$insert msg_equates\r\n$insert security_rights_equ\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\n* IF THE USER HAS WRITE WRITES TO THE ICAR TABLE THEN ALLOW THEM TO USE\r\n* THE ICAR NONCONFORMANCE SETUP\r\nif security_check( 'ICAR', Write$ ) then\r\n\topen 'CONFIG' to ConfigTable else\r\n\t   Void = msg( '', 'Unable to open CONFIG table' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tlock ConfigTable, 'ICAR_NONCONFORMANCE' else\r\n\t   Void = msg( '', 'ICAR_NONCONFORMANCE is in use somewhere else...' )\r\n\t   end_dialog( @window, '' )\r\n\t   return 0\r\n\tend\r\n\tread NonConfRec from ConfigTable, 'ICAR_NONCONFORMANCE' then\r\n\t    .nonconf->array = NonConfRec\r\n\tend\r\nend else\r\n\tsecurity_err_msg( 'ICAR', Write$ )\t\r\nend\r\nRETURN 0"
        }
    }
}